/**
 * 下载文件
 */
function down(url) {
	return new Promise((resolve, reject) => {
		const task = uni.downloadFile({
			url,
			success: (res) => {
				if (res.statusCode === 200) {
					resolve({
						path: res.tempFilePath
					})
				} else {
					reject({
						msg: '下载失败'
					})
				}
			},
			fail: (err) => {
				reject({
					msg: '下载失败'
				})
			}
		})
		task.onProgressUpdate((res) => {
			// console.log('下载进度' + res.progress)
		})
	})
}

module.exports = {
	down
}
